<?php
namespace Mirasvit\LayeredNavigation\Block\Renderer\SearchRenderer;

/**
 * Interceptor class for @see \Mirasvit\LayeredNavigation\Block\Renderer\SearchRenderer
 */
class Interceptor extends \Mirasvit\LayeredNavigation\Block\Renderer\SearchRenderer implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Mirasvit\LayeredNavigation\Model\Config\ExtraFilterConfigProvider $extraFilterConfigProvider, \Mirasvit\LayeredNavigation\Model\Config\HighlightConfigProvider $highlightConfigProvider, \Mirasvit\LayeredNavigation\Model\Config\SeoConfigProvider $seoConfigProvider, \Mirasvit\LayeredNavigation\Model\ConfigProvider $configProvider, \Magento\Framework\View\Element\Template\Context $context, ?\Magento\Theme\Block\Html\Pager $htmlPagerBlock = null, array $data = [])
    {
        $this->___init();
        parent::__construct($extraFilterConfigProvider, $highlightConfigProvider, $seoConfigProvider, $configProvider, $context, $htmlPagerBlock, $data);
    }

    /**
     * {@inheritdoc}
     */
    public function getAttributeClearUrl($attributeCode)
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getAttributeClearUrl');
        return $pluginInfo ? $this->___callPlugins('getAttributeClearUrl', func_get_args(), $pluginInfo) : parent::getAttributeClearUrl($attributeCode);
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
